#include "parser.h"

uint8_t get_opt(int argc, char **argv, char *args, int *source_count) {
    uint8_t opt = 0b00;

    // Parse optional arguments
    int c;
    while ((c = getopt(argc, argv, args)) != -1) {
        switch (c) {
        case 'a':
            opt |= 0b01;
            break;

        case 'f':
            opt |= 0b10;
            break;

        default:
            break;
        }
    }

    // Arguments which was not parsed by getopt
    for (; optind < argc - 1; optind++)
        (*source_count)++;

    return opt;
}
