#ifndef PARSER_H_
#define PARSER_H_

#include <unistd.h>
#include <stdint.h>

/**
 * @brief Get options from cli
 *
 * @param argc Arg count
 * @param argv Arg values
 * @param args Arg expected
 * @param source_count Number of source files
 *
 * @returns Options
 */
uint8_t get_opt(int argc, char **argv, char *args, int *source_count);

#endif // !PARSER_H_
